Bug 966479 - Wrong path in man page
Wrong path in man page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Muller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 06:57 EDT by Petr Viktorin
Modified: 2016-09-19 22:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: beakerlib-1.8-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 966519 (view as bug list)
Environment:
Last Closed: 2013-06-29 14:03:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Viktorin 2013-05-23 06:57:00 EDT
Description of problem:
`man beakerlib` says the library can be initialized by:
. /usr/lib/beakerlib/beakerlib.sh
but the actual script is in /usr/share.

Version-Release number of selected component (if applicable):
beakerlib-1.7-1.fc19.noarch

How reproducible:
Always

Steps to Reproduce:
1. Look at man page
2. Follow instructions in DESCRIPTION or EXAMPLES sections

Actual results:
bash: /usr/lib/beakerlib/beakerlib.sh: No such file or directory

Expected results:
Library is sourced
Comment 1 Petr Muller 2013-05-23 08:01:47 EDT
Good point, thanks! The /usr/lib is a remnant of a packaging flaw we had while ago.

https://git.fedorahosted.org/cgit/beakerlib.git/commit/?id=c5ff3c31a78b91af06c83d1b6429e800de54f1ec
Comment 2 Fedora Update System 2013-06-10 08:16:13 EDT
beakerlib-1.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/beakerlib-1.8-1.fc19
Comment 3 Fedora Update System 2013-06-10 10:38:54 EDT
Package beakerlib-1.8-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing beakerlib-1.8-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10465/beakerlib-1.8-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-29 14:03:33 EDT
beakerlib-1.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.